snd_component_add
Prev | Chapter 22. Sound Devices | Next

## Name

snd_component_add — add a component string

## Synopsis

`int snd_component_add (` | struct snd_card * | card,
| const char * | component`)`;

## Arguments

`card`

  soundcard structure

`component`

  the component id string

## Description

This function adds the component id string to the supported list. The component can be referred from the alsa-lib.

Returns zero otherwise a negative error code.

Prev | Up | Next
snd_card_register | Home | snd_card_file_add